#include <iostream>

using namespace std;

int main()
{
    int N;
    cin >> N;
    double porez[N];
    double procenat[N];
    int plate[N];
    for (int i = 0; i < N; i++){
        int A;
        double P;
        cin >> A >> P;
        plate[i] = A;
        procenat[i] = P;
        porez[i] = A * P / 100.0;
        for (int y = 0; y < i; y++){
            if(procenat[y] >= P) porez[i] += plate[y] * P / 100.0;
            if(procenat[y] <= P) porez[y] += A * procenat[y] / 100.0;
        }
    }

    double maxPorez = -1;
    for(int i = 0; i < N; i++) if(porez[i] > maxPorez) maxPorez = porez[i];
    cout << maxPorez;

    return 0;
}